Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 38 lines (33 sloc) 0.971 kb
2787ea11 » treeder
2011-10-06 Basic ops using rest-client.
1 require 'rubygems'
2 require 'rake'
3
4 begin
5 require 'jeweler'
6 Jeweler::Tasks.new do |gem|
7 gem.name = "ironmq"
8 gem.summary = "Ruby client for IronMQ"
9 gem.description = "Ruby client for IronMQ"
10 gem.email = "travis@iron.io"
11 gem.homepage = "http://www.iron.io"
12 gem.authors = ["Travis Reeder"]
761dea13 » treeder
2011-11-01 Switched to Typhoeus
13 gem.add_dependency 'typhoeus'
2787ea11 » treeder
2011-10-06 Basic ops using rest-client.
14 gem.required_ruby_version = '>= 1.9'
15 end
16 Jeweler::GemcutterTasks.new
17 rescue LoadError
18 puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
19 end
20
21 require 'rake/testtask'
22 Rake::TestTask.new(:test) do |test|
23 test.libs << 'lib' << 'test'
24 test.pattern = 'test/**/test_*.rb'
25 test.verbose = true
26 end
27
28 task :default => :test
29
e21d738c » treeder
2011-11-01 changed rdoc line
30 require 'rdoc/task'
2787ea11 » treeder
2011-10-06 Basic ops using rest-client.
31 Rake::RDocTask.new do |rdoc|
32 version = File.exist?('VERSION') ? File.read('VERSION') : ""
33
34 rdoc.rdoc_dir = 'doc'
197f62bc » treeder
2011-10-30 PUT message returns message object.
35 rdoc.title = "ironmq_gem #{version}"
2787ea11 » treeder
2011-10-06 Basic ops using rest-client.
36 rdoc.rdoc_files.include('README*')
37 rdoc.rdoc_files.include('lib/**/*.rb')
38 end
Something went wrong with that request. Please try again.